<?php

namespace App\Http\Controllers;
use App\Models\ExamSubject;
use Illuminate\Http\Request;

class ExamSubjectController extends Controller
{
    public function index()
    {
        $object = ExamSubject::latest()->paginate(5);

        return view('exam_subject.index',compact('object'))->with('i', (request()->input('page', 1) - 1) * 5);
    }


    public function create()
    {
        return view('exam_subject.create');
    }


    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required',
        ]);

        ExamSubject::create($request->all());

        return redirect()->route('exam_subject_master.index')->with('success','Record created successfully.');
    }


    public function show($id)
    {
        $object = ExamSubject::find($id);
        return view('exam_subject.show', compact('object'));
    }


    public function edit($id)
    {
        $object = ExamSubject::find($id);
        return view('exam_subject.edit', compact('object'));
    }


    public function update(Request $request, $id)
    {
        $request->validate([
            'name' => 'required',
        ]);
        $object = ExamSubject::find($id);
        $object->update($request->all());

        return redirect()->route('exam_subject_master.index')->with('success','Record updated successfully');
    }


    public function destroy($id)
    {
        $object = ExamSubject::find($id);
        $object->delete();
        return redirect()->route('exam_subject_master.index')->with('success','Record deleted successfully');
    }
}
