<?php

namespace App\Http\Controllers;
use App\Models\SubjectQuestionMapping;
use App\Models\ExamSubject;
use App\Models\ExamSubjectSub;
use App\Models\Uploadfile;
use Illuminate\Http\Request;

class ExamSubjectQuestionMapController extends Controller
{
    public function index()
    {
        $object = SubjectQuestionMapping::latest()->paginate(5);
        return view('exam_sub_ques_map.index',compact('object'))->with('i', (request()->input('page', 1) - 1) * 5);
    }


    public function create()
    {
        $exam_subject = ExamSubject::where('status', 'Active')->orderBy('id', 'desc')->get();
        $exam_subjects_sub = ExamSubjectSub::where('status', 'Active')->orderBy('id', 'desc')->get();
        $questions = Uploadfile::orderBy('id', 'desc')->get();
        return view('exam_sub_ques_map.create', compact('exam_subject', 'questions', 'exam_subjects_sub'));
    }


    public function store(Request $request)
    {
        //return json_encode($request->question_id);
        $request->validate([
            'exam_subject_id' => 'required',
            'question_id' => 'required',
        ]);
        SubjectQuestionMapping::create($request->all());
        return redirect()->route('exam_subject_question_mapping.index')->with('success','Record created successfully.');
    }


    public function show($id)
    {
        $object = SubjectQuestionMapping::find($id);
        return view('exam_sub_ques_map.show', compact('object'));
    }


    public function edit($id)
    {
        $exam_subject = ExamSubject::orderBy('id', 'desc')->get();
        $questions = Uploadfile::orderBy('id', 'desc')->get();
        $object = SubjectQuestionMapping::find($id);
        return view('exam_sub_ques_map.edit', compact('object', 'exam_subject', 'questions'));
    }


    public function update(Request $request, $id)
    {
        $request->validate([
            'exam_subject_id' => 'required',
            'question_id' => 'required',
        ]);
        $object = SubjectQuestionMapping::find($id);
        $object->update($request->all());
        return redirect()->route('exam_subject_question_mapping.index')->with('success','Record updated successfully');
    }


    public function destroy($id)
    {
        $object = SubjectQuestionMapping::find($id);
        $object->delete();
        return redirect()->route('exam_subject_question_mapping.index')->with('success','Record deleted successfully');
    }
}
