<?php

namespace App\Http\Controllers;
use App\Models\ExamSubjectSub;
use App\Models\ExamSubject;
use Illuminate\Http\Request;

class ExamSubjectSubController extends Controller
{
    public function index()
    {
        $object = ExamSubjectSub::latest()->paginate(5);
        return view('exam_subject_sub.index',compact('object'))->with('i', (request()->input('page', 1) - 1) * 5);
    }


    public function create()
    {
        $exam_subject = ExamSubject::where('status', 'Active')->orderBy('id', 'desc')->get();
        return view('exam_subject_sub.create', compact('exam_subject'));
    }


    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required',
        ]);

        ExamSubjectSub::create($request->all());

        return redirect()->route('exam_subject_sub_master.index')->with('success','Record created successfully.');
    }


    public function show($id)
    {
        $object = ExamSubjectSub::find($id);
        return view('exam_subject_sub.show', compact('object'));
    }


    public function edit($id)
    {
        $exam_subject = ExamSubject::where('status', 'Active')->orderBy('id', 'desc')->get();
        $object = ExamSubjectSub::find($id);
        return view('exam_subject_sub.edit', compact('object', 'exam_subject'));
    }


    public function update(Request $request, $id)
    {
        $request->validate([
            'name' => 'required',
        ]);
        $object = ExamSubjectSub::find($id);
        $object->update($request->all());

        return redirect()->route('exam_subject_sub_master.index')->with('success','Record updated successfully');
    }


    public function destroy($id)
    {
        $object = ExamSubjectSub::find($id);
        $object->delete();
        return redirect()->route('exam_subject_sub_master.index')->with('success','Record deleted successfully');
    }
}