<?php

namespace App\Http\Controllers;
use App\Models\SetQuestionsAns;
use App\Models\Uploadfile;
use Illuminate\Http\Request;

class SetQuesAnsController extends Controller
{
    public function index()
    {
        $object = SetQuestionsAns::latest()->paginate(5);
        return view('ques_ans_map.index',compact('object'))->with('i', (request()->input('page', 1) - 1) * 5);
    }


    public function create()
    {
        $questions = Uploadfile::orderBy('id', 'desc')->get();
        return view('ques_ans_map.create', compact('questions'));
    }


    public function store(Request $request)
    {
        $request->validate([
            'question_id' => 'required',
            'answer' => 'required',
        ]);
        SetQuestionsAns::create($request->all());
        return redirect()->route('question_ans_map.index')->with('success','Record created successfully.');
    }


    public function show($id)
    {
        $object = SetQuestionsAns::find($id);
        return view('ques_ans_map.show', compact('object'));
    }


    public function edit($id)
    {
        $object = SetQuestionsAns::find($id);
        return view('ques_ans_map.edit', compact('object'));
    }


    public function update(Request $request, $id)
    {
        $request->validate([
            'question_id' => 'required',
            'answer' => 'required',
        ]);
        $object = SetQuestionsAns::find($id);
        $object->update($request->all());
        return redirect()->route('question_ans_map.index')->with('success','Record updated successfully');
    }


    public function destroy($id)
    {
        $object = SetQuestionsAns::find($id);
        $object->delete();
        return redirect()->route('question_ans_map.index')->with('success','Record deleted successfully');
    }

    public function SaveAns(Request $request)
    {
        $request->validate([
            'question_id' => 'required',
            'answer' => 'required',
        ]);
        $resp = SetQuestionsAns::where('question_id', $request->question_id)->first();
        if($resp) {
            $obj = SetQuestionsAns::find($resp->id);
            $obj->answer = $request->answer;
            $obj->update();
        } else {
            SetQuestionsAns::create($request->all());
        }
        return true;
    }

    public function CheckRightAnswer(Request $request)
    {
        $request->validate([
            'question_id' => 'required',
            'answer' => 'required',
        ]);
        $resp = SetQuestionsAns::where('question_id', $request->question_id)->first();
        if($resp) {
            if($resp->answer == $request->answer) {
                return response()->json(['status' => true, 'msg' => 'Good ! Right Answer.']);
            } else {
                return response()->json(['status' => true, 'msg' => 'Sorry !, Wrong Answer, Right Answer is '.$resp->answer]);
            }
        } else {
            return response()->json(['status' => true, 'msg' => 'Sorry ! No Answer found in our database.']);
        }
        return response()->json(['status' => false, 'msg' => 'Somthing went wrong.']);
    }
}
