@extends('layouts.layout')

@section('content')
<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class="pull-left">
            <h2>Assign Exam/Sub to Question </h2>
        </div>
        <div class="pull-right">
            <a class="btn btn-primary" href="{{ route('exam_subject_question_mapping.index') }}"> Back</a>
        </div>
    </div>
</div>

@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Whoops!</strong> There were some problems with your input.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

<form action="{{ route('exam_subject_question_mapping.store') }}" method="POST">
    @csrf

     <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">

            <div class="form-group">
                <strong>Exam Name:</strong>
                <select name="exam_subject_id" id="exam_subject_id" class="form-control" >
                    <option value="0">-- Select --</option>
                    @foreach ($exam_subject as $item)
                        <option value="{{ $item->id }}">{{ $item->name }}</option>
                    @endforeach
                </select>
            </div>
            <div class="form-group">
                <strong>Subject Name:</strong>
                <select name="exam_subject_sub_id" id="exam_subject_sub_id" class="form-control" >
                    <option value="0">-- Select --</option>
                    @foreach ($exam_subjects_sub as $item)
                        <option value="{{ $item->id }}">{{ $item->name }}</option>
                    @endforeach
                </select>
            </div>
            <div class="form-group">
                <strong>Questions:</strong>
                <div class="col-md-12 row" style="
                height: 62vh;
                overflow: auto;
            ">
                    @forelse ($questions as $item)
                        <div class="col-md-3">
                            <img src="{{asset('/media_images').'/'.$item->images}}" alt="" class="rounded float-left" style="height: 110px;border: 1px solid #5b30cf;width: 230px; margin-top: 15px;">
                            <input type="checkbox" name="question_id[]" value="{{ $item->id }}" style="height: 16px;width: 16px;margin-top: 10px;margin-left: -11px;">
                        </div>
                    @empty
                        <p>Sorry ! , No data found .</p>
                    @endforelse
                </div>
            </div>
        </div>

        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                <button type="submit" class="btn btn-primary">Submit</button>
        </div>
    </div>

</form>
@endsection
