@extends('layouts.layout')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Exam/Subject Question Mapping</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-success" href="{{ route('exam_subject_question_mapping.create') }}"> Create New</a>
            </div>
        </div>
    </div>
   <br/>
    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <table class="table table-bordered">
        <tr>
            <th>No</th>
            <th>Exam/Subject</th>
            <th>Created Date</th>
            <th width="280px">Action</th>
        </tr>
        @foreach ($object as $obj)
        <tr>
            <td>{{ ++$i }}</td>
            <td>{{ isset($obj->subject[0]->name) ? $obj->subject[0]->name : '------' }}</td>
            <td>
                {{-- {!! str_replace("'", "\'", json_encode($obj->question_id)) !!} --}}
                {{ $obj->created_at }}
            </td>
            <td>
                <form action="{{ route('exam_subject_question_mapping.destroy',$obj->id) }}" method="POST">

                    <a class="btn btn-info" href="{{ route('exam_subject_question_mapping.show',$obj->id) }}">Show</a>

                    <a class="btn btn-primary" href="{{ route('exam_subject_question_mapping.edit', $obj->id) }}">Edit</a>

                    @csrf
                    @method('DELETE')

                    <button type="submit" class="btn btn-danger">Delete</button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>

    {!! $object->links() !!}

@endsection
