@extends('layouts.layout')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Edit </h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-primary" href="{{ route('exam_subject_master.index') }}"> Back</a>
            </div>
        </div>
    </div>

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
    <form action="{{ route('exam_subject_master.update',$object->id ?: 0) }}" method="POST">
        @csrf
        @method('PUT')

         <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Name:</strong>
                    <input type="text" name="name" value="{{ $object->name }}" class="form-control" placeholder="Name">
                </div>
                <div class="form-group">
                    <strong>Status:</strong>
                    <select name="status" id="status" class="form-control" >
                        <option value="Active" {{ $object->status == 'Active' ? 'selected' : '' }}>Active</option>
                        <option value="InActive" {{ $object->status == 'InActive' ? 'selected' : '' }}>InActive</option>
                    </select>
                </div>
                <div class="form-group">
                    <strong>Description:</strong>
                    <textarea name="description" id="description" cols="30" rows="10" class="form-control" >{{ $object->description }}</textarea>
                </div>
            </div>

            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-primary">Submit</button>
            </div>
        </div>

    </form>
@endsection
