@extends('layouts.layout')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Exam/Subject Sub Master</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-success" href="{{ route('exam_subject_sub_master.create') }}"> Create New</a>
            </div>
        </div>
    </div>
   <br/>
    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <table class="table table-bordered">
        <tr>
            <th>No</th>
            <th>Exam</th>
            <th>Name</th>
            <th>Status</th>
            <th>Description</th>
            <th width="280px">Action</th>
        </tr>
        @foreach ($object as $obj)
        <tr>
            <td>{{ ++$i }}</td>
            <td>{{ $obj->exam->name }}</td>
            <td>{{ $obj->name }}</td>
            <td>{{ $obj->status }}</td>
            <td>{{ $obj->description }}</td>
            <td>
                <form action="{{ route('exam_subject_sub_master.destroy',$obj->id) }}" method="POST">

                    <!--<a class="btn btn-info" href="{{ route('exam_subject_sub_master.show',$obj->id) }}">Show</a>-->

                    <a class="btn btn-primary" href="{{ route('exam_subject_sub_master.edit', $obj->id) }}">Edit</a>

                    @csrf
                    @method('DELETE')

                    <button type="submit" class="btn btn-danger">Delete</button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>

    {!! $object->links() !!}

@endsection
