@extends('layouts.layout')

@section('content')
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <h1 class="text-center">Question Uploads</h1>
            <div class="text-right">
                <a href="{{ route('image.list') }}">List of Questions</a>
            </div>
            <br>
            <br>
            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            @if(session('success'))
                <div class="alert alert-success">
                    {{ session('success') }}
                </div>
            @endif
            <form method="post" action="{{ route('file.post') }}" enctype="multipart/form-data">
                {{csrf_field()}}
                <div class="form-group">
                    <input type="file" name="images[]" class="form-control" multiple>
                </div>
                <button type="submit" class="btn btn-success btn-block">Upload</button>
            </form>
        </div>
    </div>
@endsection
