@extends('layouts.layout')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Question Answer Mapping </h2>
            </div>
            <div class="pull-right" style="float: right;margin-top: -31px;">
                <a class="btn btn-primary" href=""> Refresh</a>
            </div>
        </div>
    </div>

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
    <form action="{{ route('question_ans_map.store') }}" method="POST">
        @csrf
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">

                <div class="form-group">
                    <strong>Questions:</strong>
                    <div class="col-md-12 row" style="height: 75vh; overflow: auto;">
                        @forelse ($questions as $item)
                            <div class="col-md-3">
                                <img src="{{asset('/media_images').'/'.$item->images}}" alt="" class="rounded float-left" style="height: 110px;border: 1px solid #5b30cf;width: 230px; margin-top: 15px;">
                                {{-- <input type="checkbox" name="question_id[]" value="{{ $item->id }}" style="height: 16px;width: 16px;margin-top: 10px;margin-left: -11px;"> --}}

                                <div class="col-md-12 row">
                                    <div class="col-md-4 select-answer">
                                        Answer:
                                    </div>
                                    <div class="col-md-8 options">
                                        <label for="a"> <input type="radio" name="ans[{{ $item->id }}]" data-id="{{ $item->id }}" data-ans="A" class="save_ans" {{ $item->ans == "A" ? 'checked' : '' }}>A</label>
                                        <label for="b"> <input type="radio" name="ans[{{ $item->id }}]" data-id="{{ $item->id }}" data-ans="B" class="save_ans" {{ $item->ans == "B" ? 'checked' : '' }}>B</label>
                                        <label for="c"> <input type="radio" name="ans[{{ $item->id }}]" data-id="{{ $item->id }}" data-ans="C" class="save_ans" {{ $item->ans == "C" ? 'checked' : '' }}>C</label>
                                        <label for="d"> <input type="radio" name="ans[{{ $item->id }}]" data-id="{{ $item->id }}" data-ans="D" class="save_ans" {{ $item->ans == "D" ? 'checked' : '' }}>D</label>
                                    </div>
                                </div>

                            </div>
                        @empty
                            <p>Sorry ! , No data found .</p>
                        @endforelse
                    </div>
                </div>
            </div>

{{--
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                    <button type="submit" class="btn btn-primary">Submit</button>
            </div> --}}
        </div>


    </form>
@endsection

<script src = "https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<style>
        .select-answer {
            font-size: 16px;
            font-weight: 600;
            color: green;
        }

        .options label {
            font-size: 18px;
            margin-right: 3px;
        }
</style>
<script type="text/javascript">

    $(document).ready(function(){
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $(".save_ans").click(function() {
            // console.log("data-id", $(this).attr("data-id")+$(this).attr("data-ans"));
            var ques_id = $(this).attr("data-id");
            var ans = $(this).attr("data-ans");
            $(this).prop("checked", true);
            $.ajax({
                url: "{{ route('set.ques.ans') }}",
                type: 'POST',
                headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                data: {
                    question_id:ques_id,
                    answer:ans
                },
                success:function(response)
                {

                    console.log(response);
                    // alert(response.success)
                },
                error: function(response) {
                }
            });
        });
    });
</script>
