<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ExamSubjectController;
use App\Http\Controllers\ExamSubjectSubController;
use App\Http\Controllers\ExamSubjectQuestionMapController;
use App\Http\Controllers\SetQuesAnsController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::group(['prefix'=>'admin'], function(){
    Route::get('/', function () {
        return view('dashboard');
    })->name('admin.home');
    Route::get('upload-question', [App\Http\Controllers\UploadController::class, 'create'])->name('file');
    Route::post('file-post', [App\Http\Controllers\UploadController::class, 'store'])->name('file.post');
    Route::get('all-question-list', [App\Http\Controllers\UploadController::class, 'index'])->name('image.list');
    Route::resource('exam_subject_master', ExamSubjectController::class);
    Route::resource('exam_subject_sub_master', ExamSubjectSubController::class);
    Route::resource('exam_subject_question_mapping', ExamSubjectQuestionMapController::class);
    Route::resource('question_ans_map', SetQuesAnsController::class);
    Route::post('set-ques-ans', [App\Http\Controllers\SetQuesAnsController::class, 'SaveAns'])->name('set.ques.ans');
});
// student side routes
Route::get('/', [App\Http\Controllers\PublicUserController::class, 'get_all_subjects'])->name('user.subject');
Route::get('/subject-question-list/{id}', [App\Http\Controllers\PublicUserController::class, 'show_question'])->name('user.subject.ques');
Route::post('check-right-answer', [App\Http\Controllers\SetQuesAnsController::class, 'CheckRightAnswer'])->name('user.check.answer');
//Route::post('save-answer', [App\Http\Controllers\SetQuesAnsController::class, 'UserSaveAns'])->name('user.sent.ans');

// command run
// Route::get('artisan-storage', function()
// {
//     Artisan::call('storage:link');
// });

